Bug 234138 - devel/kio-extras: Fails to package on 12.0
Summary: devel/kio-extras: Fails to package on 12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adriaan de Groot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-18 15:55 UTC by Henrik Hudson
Modified: 2018-12-30 12:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
poudriere build log (678.80 KB, text/plain)
2018-12-18 15:55 UTC, Henrik Hudson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Hudson 2018-12-18 15:55:37 UTC
Created attachment 200231 [details]
poudriere build log

I switched my poudriere build environment to 12.0 and updated my poudriere make.conf to use openssl111 . 

kio-extras fails with the following error:

===>  Building package for kio-extras-18.12.0
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/kio-extras/work/stage/usr/local/lib/qt5/plugins/kf5/kiod/kmtpd.so:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/kio-extras/work/stage/usr/local/share/dbus-1/services/org.kde.kmtp.daemon.service:No such file or directory
*** Error code 1


Is this just a matter of cleaning up the pkg-plist or there something else going on?
Comment 1 Adriaan de Groot freebsd_committer 2018-12-25 22:42:28 UTC
This looks unrelated to openssl, actually: option MTP is apparently off? But the pkg-plist doesn't flag all the mtp-related files with %%MTP%%.

That, or mtp detection is falling over in the face of your changed openssl version. You would need to look in the log of the build failure at the configure section, to see if mtp is being found.

.. oh, wait: you attached the poudriere log. Brilliant! And you **do** have option MTP switched off, so it looks like the first case. I'll do some local test-builds and fix.
Comment 2 commit-hook freebsd_committer 2018-12-25 23:37:17 UTC
A commit references this bug:

Author: adridg
Date: Tue Dec 25 23:36:51 UTC 2018
New revision: 488353
URL: https://svnweb.freebsd.org/changeset/ports/488353

Log:
  Fix devel/kio-extras plist for non-default OPTIONS.

  When MTP is off, mtp files are not installed; not all of them
  were flagged with %%MTP%%. No PORTREVISION bump because the
  package doesn't change for any options that actually could build.

  PR:		234138
  Reported by:	Henrik Hudson

Changes:
  head/devel/kio-extras/pkg-plist
Comment 3 Adriaan de Groot freebsd_committer 2018-12-25 23:39:08 UTC
Thank you for a good bug report! Fixed in the official ports tree.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 12:31:28 UTC
Assign to committer that resolved